掘金社区

linux gm 运行报错Pinned highlighted

180013***839 发表在问题反馈 2019-01-31 11:24:51

问题反馈
145
2
0

pip install gm 之后不能正常使用,报如下错误:

Traceback (most recent call last):
File "gm_api.py", line 3, in <module>
from gm.api import history
File "/usr/lib/python2.7/site-packages/gm/api/init.py", line 9, in <module>
from gm.csdk.c_sdk import py_gmi_set_version
ImportError: /usr/lib/python2.7/site-packages/gm/csdk/libgm3-c.so: undefined symbol: _ZNK6google8protobuf7Message25InitializationErrorStringB5cxx11Ev

请在SDK文档中告知 linux运行gm所需 的环境依赖,方便用户使用。

gm==3.0.117
Python 2.7.5
CentOS Linux release 7.6.1810

————————分割线——————————
一开始是/usr/lib64/libstdc++.so.6: version CXXABI_1.3.8' not found 报这个错误,我用的阿里云最新的centos7系统,也有问题,好吧我认了。是gcc版本问题,升级gcc。然后又有这个问题,折腾挺久protobuf装了也不行,有些心累。以前用gm2的时候也没有这么麻烦。。

评论: 2
  • 求求大神们告诉我该怎么用呢,或者有没有大神做一个docker镜像提供出来,感谢!!~~

    2019-02-01 13:49:01
  • 好像不支持Linux,python2.7该换3.6的了

    2019-02-19 14:35:10

Looks like your connection to 掘金量化社区 - 量化交易者的策略交流学习社区 was lost, please wait while we try to reconnect.